Subject: bug#35158: 26.1; Display bugs: odd bits wrong in shell window

From: DJC <[email-masked]>
Date: Fri, 5 Apr 2019 17:16:00 +0200

Thanks for the suggestion.  But as far as I can tell, there are no 
"optimizations" set.

I can add that the commands were executing rather slowly, so it seems to me 
unlikely that anything was happening fast enough to cause a race.

djc

On 05-Apr-19 16:36, Eli Zaretskii wrote:
>> From: DJC <[email-masked]>
>> Date: Fri, 5 Apr 2019 16:13:24 +0200
>>
>> In the upper window of a frame I had several hundred lines containing the
>> full paths of filenames within quotation marks -- all containing non-ASCII
>> accented European characters -- and in the lower window a Windows shell.
>>   From the shell window I used a macro to change windows, grab a file name,
>> then return to the shell window and issue
>>
>>       del {filename within quotation marks}
>>
>> After confirming that this was working as desired, I issued a command to
>> repeat the macro indefinitely.  As lines scrolled in the shell window I
>> remarked some errors in the display there: certain improper bits were being
>> displayed rather consistently.  When the run was finished, I grabbed a
>> screen shot of the quiescent state (attached) showing some of these.
> 
> You mean, those stray pixels after "5" in "HS2015"?  And also the
> artifacts before the backslashes in last two lines you captured?
> 
> If so, I suggest to review the settings of your display driver, and if
> there are any "optimization" options there, turn them off.
> 
> Thanks.
>